> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# idKey 알아내기 API

> 특정 토큰에서 결제된 idKey를 알아냅니다. 결제수단을 변경할 때 사용합니다.



## OpenAPI

````yaml /steppay_v1.json get /api/v1/cover/order/{token}/idKey
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/cover/order/{token}/idKey:
    get:
      tags:
        - 커버 API
      summary: idKey 알아내기 API
      description: 특정 토큰에서 결제된 idKey를 알아냅니다. 결제수단을 변경할 때 사용합니다.
      operationId: v1_getIdKey
      parameters:
        - name: token
          in: path
          description: 복구 토큰
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 정상 동작
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/GetOrderIdKeyResponse'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CoverErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CoverErrorresponse'
components:
  schemas:
    GetOrderIdKeyResponse:
      required:
        - orderId
      type: object
      properties:
        idKey:
          type: string
          description: idKey
        orderId:
          type: integer
          description: 주문 ID
          format: int64
        paymentGateway:
          type: string
          description: 사용한 PG
          enum:
            - NAVER
            - DANAL
            - KAKAO
            - KG
            - KCP
            - NICE
            - JT
            - GOOGLE
            - BANKPAY
            - BLUEWALNUT
            - KSNET
            - TOSS
            - EXIMBAY
            - SETTLE
            - DAOUDATA
            - WELCOME
            - NICE_V2
            - STRIPE
            - PAYPLE
            - PAYPLE_GLOBAL
            - KICC
            - EMPTY
            - STEPPAY
            - UNKNOWN
    CoverErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ReturnError:
      type: object
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````